#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
package Opsview::Web::ControllerBase::DrawRRD;

use strict;
use warnings;
use File::Temp;
use RRDs;

use base qw/Catalyst::Controller/;

# Needs in stash:
#	rrdoptions = []
# These are passed to RRDs::graph
sub rrdgraph : Private {
    my ( $self, $c ) = @_;
    my $options = $c->stash->{rrdoptions};
    unshift @$options, "--imgformat", "PNG";
    my $tmp = new File::Temp();
    my ( $averages, $x, $y ) = RRDs::graph( $tmp->filename, @$options );
    if ( my $error = RRDs::error ) {
        $c->stash( rrderror => $error );
    }
    else {
        seek( $tmp, 0, 0 ) or croak("Cannot seek temp file: $!");
        my $data;
        my $length = 0;
        while ( $tmp->read( my $buffer, 4096 ) ) {
            $length += length($buffer);
            $data .= $buffer;
        }
        $c->res->body($data);
        $c->res->content_length($length);
        $c->res->content_type("image/png");
    }
}

1;
