#!/usr/bin/perl

use Test::More tests => 3;

use FindBin qw($Bin);
use lib "$Bin/lib", "$Bin/../lib";
use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";
use strict;
use Opsview;
use Opsview::Hostgroup;
use Opsview::Test;
use Opsview::TestCGI;

my $sth;
my $dbh = Opsview->db_Main;
ok( defined $dbh, "Connect to db" );

my $rc;

$rc = post("type=hostgroup action=new name=hg$$");
cmp_ok( $rc, '==', 0, "Added new hostgroup" );

# Name does not have to be unique - not sure if this is a requirement
#$rc = post("type=hostgroup action=new name=hg$$");
#cmp_ok( $rc, '!=', 0, "Added same hostgroup name");

my $hg_id = $dbh->selectrow_array("SELECT id FROM hostgroups WHERE name='hg$$'");
$rc = post("type=hostgroup action=edit id=$hg_id name=hg-changed$$");
cmp_ok( $rc, '==', 0, "Name changed" );
