#!/usr/bin/perl

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More;

plan tests => 6;

use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);
use Opsview::Test;
use Log::Log4perl;
use Log::Log4perl::Level;

# reduce unnecessary output by amending rootlogger to suppress INFO and DEBUG messages
Log::Log4perl->get_logger("")->level($WARN);

my $mech = Test::WWW::Mechanize::Catalyst->new;

$mech->get_ok("http://localhost/about");

$mech->get_ok("/status");
$mech->content_like( qr/login_username/, "Login page" );

is( $mech->value("back"), "", "No referrer given" );

$mech->form_name('login_form');
$mech->field( 'login_username' => "admin" );
$mech->field( 'login_password' => "initial" );
$mech->field( "noscript"       => 0 );
$mech->click('login');

$mech->content_like(qr/Host Group Summary &gt; Opsview/);
$mech->content_unlike(qr/Project Team/);    # Confirm this is not the about page
