#!/usr/bin/perl

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More;
use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);
use Log::Log4perl::Level;

plan tests => 4;

use lib "$Bin/lib";
use Opsview::TestUtils;

my $mech = Test::WWW::Mechanize::Catalyst->new;

# reduce unnecessary output by amending rootlogger to suppress INFO and DEBUG messages
Log::Log4perl->get_logger("")->level($WARN);

log_in( $mech, 'admin', 'initial' );

$Opsview::Web::Controller::Common::rrddir = "$Bin/var/rrd";

$mech->get_ok("/graphrrd?host=host1&host=host2&service=serviceX&service=serviceY");

$mech->content_like( qr/total_metrics=\d+/, "Has total_metrics parameter (hopefully passed to menu)" );
